OGRE: Ogre::StaticGeometry::OptimisedSubMeshGeometry Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::StaticGeometry::OptimisedSubMeshGeometry Class Reference

Struct holding geometry optimised per SubMesh / LOD level, ready for copying to instances. More...

`#include <OgreStaticGeometry.h>`

Inheritance diagram for Ogre::StaticGeometry::OptimisedSubMeshGeometry:
[legend]

## Public Member Functions
| OptimisedSubMeshGeometry ()
| ~OptimisedSubMeshGeometry ()

## Public Attributes
IndexData * | indexData
VertexData * | vertexData

## Detailed Description

Struct holding geometry optimised per SubMesh / LOD level, ready for copying to instances.

Since we're going to be duplicating geometry lots of times, it's far more important that we don't have redundant vertex data. If a SubMesh uses shared geometry, or we're looking at a lower LOD, not all the vertices are being referenced by faces on that submesh. Therefore to duplicate them, potentially hundreds or even thousands of times, would be extremely wasteful. Therefore, if a SubMesh at a given LOD has wastage, we create an optimised version of it's geometry which is ready for copying with no wastage.

## Constructor & Destructor Documentation

## ◆ OptimisedSubMeshGeometry()

Ogre::StaticGeometry::OptimisedSubMeshGeometry::OptimisedSubMeshGeometry | ( |  | ) |
| inline

References indexData, and vertexData.

## ◆ ~OptimisedSubMeshGeometry()

Ogre::StaticGeometry::OptimisedSubMeshGeometry::~OptimisedSubMeshGeometry | ( |  | ) |
| inline

References indexData, and vertexData.

## Member Data Documentation

## ◆ vertexData

VertexData* Ogre::StaticGeometry::OptimisedSubMeshGeometry::vertexData

Referenced by OptimisedSubMeshGeometry(), and ~OptimisedSubMeshGeometry().

## ◆ indexData

IndexData* Ogre::StaticGeometry::OptimisedSubMeshGeometry::indexData

Referenced by OptimisedSubMeshGeometry(), and ~OptimisedSubMeshGeometry().

The documentation for this class was generated from the following file:

- OgreStaticGeometry.h